<?php
	
	list ($channel, $start_time, $turn) = $irc_call_args;
	
	if (!isset ($this->custom_vars->yandere_games[$channel]))
	{
		// The game ended. Do nothing.
		return;
	}
	
	$game = $this->custom_vars->yandere_games[$channel];
	
	if ($start_time != $game->start_time || $turn != $game->turn)
	{
		// This message is no longer relevant.
		return;
	}
	
	$players_pending = call('yandere/players-pending', $game);
	
	output($channel, $game->s.'The sun is setting. We need everyone to cast their final votes now. We\'re still waiting on '.implode_comma_series($players_pending).'.'.$game->e);
	
	$this->schedule_event(time() + 300, array ('yandere/day-timeout', $channel, $game->start_time, $game->turn));
	
?>
