<?php
	
	list ($channel, $start_time, $turn) = $irc_call_args;
	
	if (!isset ($this->custom_vars->yandere_games[$channel]))
	{
		// The game ended. Do nothing.
		return;
	}
	
	$game = $this->custom_vars->yandere_games[$channel];
	
	if ($start_time != $game->start_time || $turn != $game->turn || $game->hurried)
	{
		// This message is no longer relevant.
		return;
	}
	
	output($channel, $game->s.'The sun is rising. If you\'re a night role, you need to make your action now or type "'.call('yandere/get-format-command', null, 'abstain').'".'.$game->e);
	
	call('yandere/night-reminders', $game);
	
	$this->schedule_event(time() + 120, array ('yandere/night-timeout', $channel, $game->start_time, $game->turn));
	
?>
