<?php
	
	class Yandere_user extends Get_set
	{
		public $game;
		public $server;
		public $channel;
		public $user_id;
		public $irc_user;
		
		protected $nick;
		
		protected $role;
		
		public $appearance;
		public $is_enemy;
		public $is_mafioso;
		public $deadly_to_guard;
		
		public $single_use;
		public $did_action = false;
		
		public $has_upgrade_reveal = false;
		public $upgrade_reveal_role;
		
		//== Constructor ==//
		
		public function __construct ($game, $user_id, $nick)
		{
			include (dirname(__FILE__).'/yandere-user/constructor.php');
		}
		
		//== Overloads ==//
		
		public function get_can_act ($phase=null, $action, $target, $hack=false)
		{
			return include (dirname(__FILE__).'/yandere-user/get-can-act.php');
		}
		
		public function set_role ($role)
		{
			include (dirname(__FILE__).'/yandere-user/set-role.php');
		}
		
		public function __call ($func, $args)
		{
			$call_path = dirname(__FILE__).'/yandere-user/method.'.$func.'.php';
			
			if (file_exists($call_path))
			{
				return include ($call_path);
			}
		}
	}
	
?>
