<?php
	
	list ($channel, $s, $passcmd) = $irc_call_args;
	
	if (!isset($passcmd))
		$passcmd = true;
	
	$rv = null;
	if (method_exists($this, 'channel_strings'))
		$rv = $this->channel_strings($to, $s);
	
	$wantone = !is_array($s);
	if ($wantone)
	{
		if (!is_array($rv))
			$rv = isset($rv) ? array($s => $rv) : array();
		$s = array($s);
	}
	
	// Ensure each request has a response
	foreach ($s as $req)
		if (!isset($rv[$req]))
			if ($req == 'Bot')
				$rv[$req] = $this->nick;
			else
			if ($req == '/msg Bot !')
			{
				if ($passcmd)
					$rv[$req] = call('yandere/get-format-command', null, null);
				else
				{
					$botnick = $rv['Bot'];
					if (!isset($botnick))
						$botnick = call('yandere/get-channel-strings', $to, 'Bot', $passcmd);
					$cpfx = $rv['!'];
					if (!isset($cpfx))
						$cpfx = call('yandere/get-channel-strings', $to, '!', $passcmd);
					$rv[$req] = "/msg $botnick $cpfx";
				}
			}
			else
			if ($req === '!')
			{
				if ($passcmd)
				{
				$rv[$req] = call('yandere/get-format-command', $to);
					$req = 'BUG';  // So 'yandere ' isn't appended later
				}
				else
				{
				if (property_exists('Irc', 'command_prefix'))
					$rv[$req] = Irc::$command_prefix;
				else
					$rv[$req] = $req;
				}
			}
			else
			if (preg_match('/^\(([A-Z]+)\)$/', $req, $M) && defined($M[1]))
				$rv[$req] = constant($M[1]);
			else
			$rv[$req] = preg_replace('/\(.*\)$/', '', $req);
		if ($req === '!' && property_exists('Irc', 'host_pad_len'))
			// Pharo
			$rv[$req] .= 'yandere ';
	
	return $wantone ? $rv[$s[0]] : $rv;
	
?>
